Subject: Re: bug#239: 23.0.60; \ is considered whitespace syntax in Lisp mode?

From: Kevin Rodgers <[email-masked]>
Date: Wed, 21 May 2008 20:46:25 -0600

Drew Adams wrote:
> emacs -Q
> In *scratch*, type a backslash followed by a TAB and a letter:
>  
> \ b
>  
> Put the cursor on the letter.
> M-: (skip-syntax-backward "\\s-")
>  
> The cursor is on the backslash. IOW, it skipped not only the
> whitespace but also the \, which should have escape syntax.
>  
> This is the first time I've noticed this, so I'm guessing there is a
> good explanation and this behavior is somehow correct. But looking at
> the Elisp manual, I don't get that impression. Willing to learn...

The SYNTAX argument to skip-syntax-forward and -backward is not a
regexp.

The argument in the example above means to skip any character with any
of 3 syntax classes:

	\	escape
	s	[not a valid syntax class]
	-	whitespace

-- 
Kevin Rodgers
Denver, Colorado, USA